Trains on an entire dataset, which is read from file, for a period of time

- « fann_train_on_data

- fann_train »

- PHP Manual
- Fann Functions
- Trains on an entire dataset, which is read from file, for a period of time

# fann_train_on_file

(PECL fann >= 1.0.0)

fann_train_on_file — Trains on an entire dataset, which is read from file, for a period of time

### Description

fann_train_on_file(
resource `$ann`,
string `$filename`,
int `$max_epochs`,
int `$epochs_between_reports`,
float `$desired_error`
): bool

Trains on an entire dataset, which is read from file, for a period of time.

This training uses the training algorithm chosen by fann_set_training_algorithm() and the parameters set for these training algorithms.

### Parameters

`ann`

  Neural network resource.

`filename`

  The file containing train data

`max_epochs`

  The maximum number of epochs the training should continue

`epochs_between_reports`

  The number of epochs between calling a user function. A value of zero means that user function is not called.

`desired_error`

  The desired fann_get_MSE() or fann_get_bit_fail(), depending on the stop function chosen by fann_set_train_stop_function()

### Return Values

Returns `true` on success, or `false` otherwise.

### See Also

- fann_train_on_data() - Trains on an entire dataset for a period of time
- fann_train_epoch() - Train one epoch with a set of training data
- fann_get_bit_fail() - The number of fail bits
- fann_get_MSE() - Reads the mean square error from the network
- fann_set_train_stop_function() - Sets the stop function used during training
- fann_set_training_algorithm() - Sets the training algorithm
- fann_set_callback() - Sets the callback function for use during training